{"openapi":"3.0.1","info":{"title":"Cell2Cloud Public API","version":"v2","description":"Benchling V2 URL, parameter and response contract. Resource IDs are Cell2Cloud IDs. Cell2Cloud-specific operations are separate extensions."},"paths":{"/api/v2/custom-entities":{"post":{"description":"Create a custom entity","operationId":"createCustomEntity","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomEntityCreate"}}}},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomEntity"}}},"description":"Created"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestError"}}},"description":"Bad Request"},"503":{"description":"Deprecated, a 429 is returned for too many requests"}},"summary":"Create a custom entity","tags":["Custom Entities"],"x-cell2cloud-compatibility":{"omittedRequestFields":[],"omittedResponseFields":[],"acceptance":"requires paired source and target verification"},"security":[{"ApiKeyBasic":[]},{"BearerAuth":[]}]},"get":{"description":"List custom entities","operationId":"listCustomEntities","parameters":[{"in":"query","name":"nextToken","schema":{"type":"string"}},{"in":"query","name":"pageSize","schema":{"default":50,"maximum":100,"minimum":1,"nullable":false,"type":"integer"}},{"in":"query","name":"sort","schema":{"default":"modifiedAt:desc","description":"Method by which to order search results. Valid sorts are name, modifiedAt, and createdAt. Optionally add :asc or :desc to specify ascending or descending order. Default is modifiedAt.\n","enum":["createdAt","createdAt:asc","createdAt:desc","modifiedAt","modifiedAt:asc","modifiedAt:desc","name","name:asc","name:desc"],"nullable":false,"type":"string"}},{"description":"Datetime, in RFC 3339 format. Supports the > and < operators. Time zone defaults to UTC. Restricts results to those created in the specified range. e.g. > 2017-04-30. Date ranges can be specified with the following nomenclature > YYYY-MM-DD AND <YYYY-MM-DD.\n","examples":{"and-range":{"summary":"Filter for all models created within a certain range using the AND operator.","value":"> 2022-03-01 AND < 2022-04-01"},"full-rfc-3339-format":{"summary":"Filter for created models using the full RFC 3339 format","value":"> 2020-12-31T21:07:14-05:00"},"greater-than-example":{"summary":"Filter for all models created after a certain date","value":"> 2022-03-01"}},"in":"query","name":"createdAt","schema":{"type":"string"}},{"description":"Datetime, in RFC 3339 format. Supports the > and < operators. Time zone defaults to UTC. Restricts results to those modified in the specified range. e.g. > 2017-04-30. Date ranges can be specified with the following nomenclature > YYYY-MM-DD AND <YYYY-MM-DD.\n","examples":{"and-range":{"summary":"Filter for all models modified within a certain range using the AND operator.","value":"> 2022-03-01 AND < 2022-04-01"},"full-rfc-3339-format":{"summary":"Filter for modified models using the full RFC 3339 format","value":"> 2020-12-31T21:07:14-05:00"},"greater-than-example":{"summary":"Filter for all models modified after a certain date","value":"> 2022-03-01"}},"in":"query","name":"modifiedAt","schema":{"type":"string"}},{"description":"Name of a custom entity. Restricts results to those with the specified name, alias, or entity registry ID.","in":"query","name":"name","schema":{"type":"string"}},{"description":"Comma-separated list of fields to return. Modifies the output shape. To return all keys at a given level, enumerate them or use the wildcard, '*'. For more information, [click here](https://docs.benchling.com/docs/getting-started-1#returning-query-parameter).","in":"query","name":"returning","schema":{"example":"customEntities.id,customEntities.modifiedAt","type":"string"}},{"description":"Name substring of a custom entity. Restricts results to those with names, aliases, or entity registry IDs that include the provided substring.\n","in":"query","name":"nameIncludes","schema":{"type":"string"}},{"description":"ID of a folder. Restricts results to those in the folder.","in":"query","name":"folderId","schema":{"type":"string"}},{"description":"Comma-separated list of entry IDs. Restricts results to custom entities mentioned in those entries.\n","in":"query","name":"mentionedIn","schema":{"type":"string"}},{"description":"ID of a project. Restricts results to those in the project.","in":"query","name":"projectId","schema":{"type":"string"}},{"description":"ID of a registry. Restricts results to those registered in this registry. Specifying \"null\" returns unregistered items.\n","in":"query","name":"registryId","schema":{"nullable":true,"type":"string"}},{"description":"ID of a schema. Restricts results to those of the specified schema.\n","in":"query","name":"schemaId","schema":{"type":"string"}},{"description":"Filter based on schema field value (not display value). Restricts results to those with a field whose value matches the filter. For Integer, Float, and Date type fields, supports the >= and <= operators (but not < or >). If any schemaField filters are present, the schemaId param must also be present. Note that all operators must be separated from any values by a single space.\n","in":"query","name":"schemaFields","schema":{"$ref":"#/components/schemas/SchemaFieldsQueryParam"}},{"description":"Archive reason. Restricts items to those with the specified archive reason. Use \"NOT_ARCHIVED\" to filter for unarchived custom entities. Use \"ANY_ARCHIVED\" to filter for archived custom entities regardless of reason. Use \"ANY_ARCHIVED_OR_NOT_ARCHIVED\" to return items for both archived and unarchived.\n","examples":{"1_not_archived":{"summary":"Only include unarchived items (default).","value":"NOT_ARCHIVED"},"2_archived_reason":{"summary":"Includes items archived for a specific reason.","value":"Retired"},"3_any_archived":{"summary":"Includes items archived for any reason.","value":"ANY_ARCHIVED"},"4_any_archived_or_not_archived":{"summary":"Includes both archived and unarchived items.","value":"ANY_ARCHIVED_OR_NOT_ARCHIVED"}},"in":"query","name":"archiveReason","schema":{"type":"string"}},{"description":"Comma-separated list of resource IDs. Restricts results to those that mention the given items in the description.\n","in":"query","name":"mentions","schema":{"type":"string"}},{"description":"Comma-separated list of ids. Matches all of the provided IDs, or returns a 400 error that includes a list of which IDs are invalid.\n","in":"query","name":"ids","schema":{"example":"bfi_blhxTUl1,bfi_y5bkDmJp,bfi_xwfILBog","type":"string"}},{"description":"Comma-separated list of names. Maximum of 100. Restricts results to those that match any of the specified names, aliases, or entity registry IDs, case insensitive.  Warning - this filter can be non-performant due to case insensitivity.\n","in":"query","name":"names.anyOf","schema":{"example":"MyName1,MyName2","type":"string"}},{"description":"Comma-separated list of names. Maximum of 100. Restricts results to those that match any of the specified names, aliases, or entity registry IDs, case sensitive.\n","in":"query","name":"names.anyOf.caseSensitive","schema":{"example":"MyName1,MyName2","type":"string"}},{"description":"Comma-separated list of entity registry IDs. Maximum of 100. Restricts results to those that match any of the specified registry IDs\n","in":"query","name":"entityRegistryIds.anyOf","schema":{"example":"TP001,TP002","type":"string"}},{"description":"Comma separated list of users IDs","in":"query","name":"creatorIds","schema":{"example":"ent_a0SApq3z","type":"string"}},{"description":"Comma separated list of user or app IDs. Maximum of 100.","in":"query","name":"authorIds.anyOf","schema":{"example":"ent_a0SApq3z,ent_b4AApz9b","type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomEntitiesPaginatedList"}}},"description":"OK","headers":{"Result-Count":{"description":"The total number of items that match the given query","schema":{"type":"integer"}},"x-rate-limit-limit":{"description":"The number of allowed requests in the current rate-limit period","schema":{"type":"integer"}},"x-rate-limit-remaining":{"description":"The number of seconds remaining in the current rate-limit period","schema":{"type":"integer"}},"x-rate-limit-reset":{"description":"The number of seconds remaining in the current rate-limit period","schema":{"type":"integer"}}}},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestError"}}},"description":"Bad Request"}},"summary":"List custom entities","tags":["Custom Entities"],"x-cell2cloud-compatibility":{"omittedRequestFields":[],"omittedResponseFields":[],"acceptance":"requires paired source and target verification"},"security":[{"ApiKeyBasic":[]},{"BearerAuth":[]}]}},"/api/v2/custom-entities/{custom_entity_id}":{"patch":{"description":"Update a custom entity","operationId":"updateCustomEntity","parameters":[{"in":"path","name":"custom_entity_id","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomEntityUpdate"}}}},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomEntity"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestError"}}},"description":"Bad Request"}},"summary":"Update a custom entity","tags":["Custom Entities"],"x-cell2cloud-compatibility":{"omittedRequestFields":[],"omittedResponseFields":[],"acceptance":"requires paired source and target verification"},"security":[{"ApiKeyBasic":[]},{"BearerAuth":[]}]},"get":{"description":"Get a custom entity","operationId":"getCustomEntity","parameters":[{"in":"path","name":"custom_entity_id","required":true,"schema":{"type":"string"}},{"description":"Comma-separated list of fields to return. Modifies the output shape. To return all keys at a given level, enumerate them or use the wildcard, '*'. For more information, [click here](https://docs.benchling.com/docs/getting-started-1#returning-query-parameter).","in":"query","name":"returning","schema":{"example":"id,modifiedAt","type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomEntity"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestError"}}},"description":"Bad Request"}},"summary":"Get a custom entity","tags":["Custom Entities"],"x-cell2cloud-compatibility":{"omittedRequestFields":[],"omittedResponseFields":[],"acceptance":"requires paired source and target verification"},"security":[{"ApiKeyBasic":[]},{"BearerAuth":[]}]}},"/api/v2/dna-sequences":{"post":{"description":"Create a DNA sequence\n\nCell2Cloud limitations: Unavailable response fields: primers.color.","operationId":"createDNASequence","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DnaSequenceCreate"}}}},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DnaSequence"}}},"description":"Created"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestError"}}},"description":"Bad Request"},"503":{"description":"Deprecated, a 429 is returned for too many requests"}},"summary":"Create a DNA sequence","tags":["DNA Sequences"],"x-cell2cloud-compatibility":{"omittedRequestFields":[],"omittedResponseFields":["primers.color"],"acceptance":"requires paired source and target verification"},"security":[{"ApiKeyBasic":[]},{"BearerAuth":[]}]},"get":{"description":"List DNA sequences\n\nCell2Cloud limitations: Unavailable response fields: primers.color.","operationId":"listDNASequences","parameters":[{"description":"Number of results to return. Defaults to 50, maximum of 100.\n","in":"query","name":"pageSize","schema":{"default":50,"maximum":100,"minimum":1,"nullable":false,"type":"integer"}},{"description":"Token for pagination","in":"query","name":"nextToken","schema":{"type":"string"}},{"in":"query","name":"sort","schema":{"default":"modifiedAt:desc","description":"Method by which to order search results. Valid sorts are name, modifiedAt, and createdAt. Optionally add :asc or :desc to specify ascending or descending order. Default is modifiedAt.\n","enum":["createdAt","createdAt:asc","createdAt:desc","modifiedAt","modifiedAt:asc","modifiedAt:desc","name","name:asc","name:desc"],"nullable":false,"type":"string"}},{"description":"Datetime, in RFC 3339 format. Supports the > and < operators. Time zone defaults to UTC. Restricts results to those created in the specified range. e.g. > 2017-04-30. Date ranges can be specified with the following nomenclature > YYYY-MM-DD AND <YYYY-MM-DD.\n","examples":{"and-range":{"summary":"Filter for all models created within a certain range using the AND operator.","value":"> 2022-03-01 AND < 2022-04-01"},"full-rfc-3339-format":{"summary":"Filter for created models using the full RFC 3339 format","value":"> 2020-12-31T21:07:14-05:00"},"greater-than-example":{"summary":"Filter for all models created after a certain date","value":"> 2022-03-01"}},"in":"query","name":"createdAt","schema":{"type":"string"}},{"description":"Datetime, in RFC 3339 format. Supports the > and < operators. Time zone defaults to UTC. Restricts results to those modified in the specified range. e.g. > 2017-04-30. Date ranges can be specified with the following nomenclature > YYYY-MM-DD AND <YYYY-MM-DD.\n","examples":{"and-range":{"summary":"Filter for all models modified within a certain range using the AND operator.","value":"> 2022-03-01 AND < 2022-04-01"},"full-rfc-3339-format":{"summary":"Filter for modified models using the full RFC 3339 format","value":"> 2020-12-31T21:07:14-05:00"},"greater-than-example":{"summary":"Filter for all models modified after a certain date","value":"> 2022-03-01"}},"in":"query","name":"modifiedAt","schema":{"type":"string"}},{"description":"Name of a DNA Sequence. Restricts results to those with the specified name, alias, or entity registry ID.","in":"query","name":"name","schema":{"type":"string"}},{"description":"Name substring of a DNA Sequence. Restricts results to those with names, aliases, or entity registry IDs that include the provided substring.","in":"query","name":"nameIncludes","schema":{"type":"string"}},{"description":"Full bases of the DNA sequence. Restricts results to those with the specified bases, case-insensitive, allowing for circular or reverse complement matches. Does not allow partial matching or loose matching via degenerate bases.","in":"query","name":"bases","schema":{"type":"string"}},{"description":"ID of a folder. Restricts results to those in the folder.","in":"query","name":"folderId","schema":{"type":"string"}},{"description":"Comma-separated list of entry IDs. Restricts results to DNA sequences mentioned in those entries.\n","in":"query","name":"mentionedIn","schema":{"type":"string"}},{"description":"ID of a project. Restricts results to those in the project.","in":"query","name":"projectId","schema":{"type":"string"}},{"description":"ID of a registry. Restricts results to those registered in this registry. Specifying \"null\" returns unregistered items.\n","in":"query","name":"registryId","schema":{"nullable":true,"type":"string"}},{"description":"ID of a schema. Restricts results to those of the specified schema.\n","in":"query","name":"schemaId","schema":{"type":"string"}},{"description":"Filter based on schema field value (not display value). Restricts results to those with a field whose value matches the filter. For Integer, Float, and Date type fields, supports the >= and <= operators (but not < or >). If any schemaField filters are present, the schemaId param must also be present. Note that all operators must be separated from any values by a single space.\n","in":"query","name":"schemaFields","schema":{"$ref":"#/components/schemas/SchemaFieldsQueryParam"}},{"description":"Archive reason. Restricts items to those with the specified archive reason. Use \"NOT_ARCHIVED\" to filter for unarchived DNA sequences. Use \"ANY_ARCHIVED\" to filter for archived DNA sequences regardless of reason. Use \"ANY_ARCHIVED_OR_NOT_ARCHIVED\" to return items for both archived and unarchived.\n","examples":{"1_not_archived":{"summary":"Only include unarchived items (default).","value":"NOT_ARCHIVED"},"2_archived_reason":{"summary":"Includes items archived for a specific reason.","value":"Retired"},"3_any_archived":{"summary":"Includes items archived for any reason.","value":"ANY_ARCHIVED"},"4_any_archived_or_not_archived":{"summary":"Includes both archived and unarchived items.","value":"ANY_ARCHIVED_OR_NOT_ARCHIVED"}},"in":"query","name":"archiveReason","schema":{"type":"string"}},{"description":"Comma-separated list of item IDs. Restricts results to those that mention the given items in the description.\n","in":"query","name":"mentions","schema":{"type":"string"}},{"description":"Comma-separated list of ids. Matches all of the provided IDs, or returns a 400 error that includes a list of which IDs are invalid.\n","in":"query","name":"ids","schema":{"example":"seq_VfVOART1,seq_RFhDGaaC","type":"string"}},{"description":"Comma-separated list of entity registry IDs. Maximum of 100. Restricts results to those that match any of the specified registry IDs.\n","in":"query","name":"entityRegistryIds.anyOf","schema":{"example":"TP001,TP002","type":"string"}},{"description":"Comma-separated list of names. Maximum of 100. Restricts results to those that match any of the specified names, aliases, or entity registry IDs, case insensitive.  Warning - this filter can be non-performant due to case insensitivity.\n","in":"query","name":"names.anyOf","schema":{"example":"MyName1,MyName2","type":"string"}},{"description":"Comma-separated list of names. Maximum of 100. Restricts results to those that match any of the specified names, aliases, or entity registry IDs, case sensitive.\n","in":"query","name":"names.anyOf.caseSensitive","schema":{"example":"MyName1,MyName2","type":"string"}},{"description":"Comma separated list of users IDs","in":"query","name":"creatorIds","schema":{"example":"ent_a0SApq3z","type":"string"}},{"description":"Comma separated list of user or app IDs. Maximum of 100.","in":"query","name":"authorIds.anyOf","schema":{"example":"ent_a0SApq3z,ent_b4AApz9b","type":"string"}},{"description":"Comma-separated list of fields to return. Modifies the output shape. To return all keys at a given level, enumerate them or use the wildcard, '*'. For more information, [click here](https://docs.benchling.com/docs/getting-started-1#returning-query-parameter).\n\n**Note**: Fields annotations, translations, and primers cannot be introspected with the returning parameter, and any sub fields will be ignored. E.g.: \"dnaSequences.annotations.id\" will return the same as \"dnaSequences.annotations\".\n","in":"query","name":"returning","schema":{"example":"dnaSequences.id, dnaSequences.modifiedAt","type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DnaSequencesPaginatedList"}}},"description":"OK","headers":{"Result-Count":{"description":"The total number of items that match the given query","schema":{"type":"integer"}},"x-rate-limit-limit":{"description":"The number of allowed requests in the current rate-limit period","schema":{"type":"integer"}},"x-rate-limit-remaining":{"description":"The number of requests remaining in the current rate-limit period","schema":{"type":"integer"}},"x-rate-limit-reset":{"description":"The number of seconds remaining in the current rate-limit period","schema":{"type":"integer"}}}},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestError"}}},"description":"Bad Request"}},"summary":"List DNA sequences","tags":["DNA Sequences"],"x-cell2cloud-compatibility":{"omittedRequestFields":[],"omittedResponseFields":["primers.color"],"acceptance":"requires paired source and target verification"},"security":[{"ApiKeyBasic":[]},{"BearerAuth":[]}]}},"/api/v2/dna-sequences/{dna_sequence_id}":{"patch":{"description":"Update a DNA sequence\n\nCell2Cloud limitations: Unavailable response fields: primers.color.","operationId":"updateDNASequence","parameters":[{"in":"path","name":"dna_sequence_id","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DnaSequenceUpdate"}}}},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DnaSequence"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestError"}}},"description":"Bad Request"}},"summary":"Update a DNA sequence","tags":["DNA Sequences"],"x-cell2cloud-compatibility":{"omittedRequestFields":[],"omittedResponseFields":["primers.color"],"acceptance":"requires paired source and target verification"},"security":[{"ApiKeyBasic":[]},{"BearerAuth":[]}]},"get":{"description":"Get a DNA sequence\n\nCell2Cloud limitations: Unavailable response fields: primers.color.","operationId":"getDNASequence","parameters":[{"in":"path","name":"dna_sequence_id","required":true,"schema":{"type":"string"}},{"description":"Comma-separated list of fields to return. Modifies the output shape. To return all keys at a given level, enumerate them or use the wildcard, '*'. For more information, [click here](https://docs.benchling.com/docs/getting-started-1#returning-query-parameter).\n\n**Note**: Fields annotations, translations, and primers cannot be introspected with the returning parameter, and any sub fields will be ignored. E.g.: \"annotations.id\" will return the same as \"annotations\".\n","in":"query","name":"returning","schema":{"example":"id,modifiedAt","type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DnaSequence"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestError"}}},"description":"Bad Request"}},"summary":"Get a DNA sequence","tags":["DNA Sequences"],"x-cell2cloud-compatibility":{"omittedRequestFields":[],"omittedResponseFields":["primers.color"],"acceptance":"requires paired source and target verification"},"security":[{"ApiKeyBasic":[]},{"BearerAuth":[]}]}},"/api/v2/aa-sequences":{"post":{"description":"Create an AA sequence","operationId":"createAASequence","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AaSequenceCreate"}}}},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AaSequence"}}},"description":"Created"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestError"}}},"description":"Bad Request"},"503":{"description":"Deprecated, a 429 is returned for too many requests"}},"summary":"Create an AA sequence","tags":["AA Sequences"],"x-cell2cloud-compatibility":{"omittedRequestFields":[],"omittedResponseFields":[],"acceptance":"requires paired source and target verification"},"security":[{"ApiKeyBasic":[]},{"BearerAuth":[]}]},"get":{"description":"List AA sequences","operationId":"listAASequences","parameters":[{"description":"Number of results to return. Defaults to 50, maximum of 100.\n","in":"query","name":"pageSize","schema":{"default":50,"maximum":100,"minimum":1,"nullable":false,"type":"integer"}},{"description":"Token for pagination","in":"query","name":"nextToken","schema":{"type":"string"}},{"in":"query","name":"sort","schema":{"default":"modifiedAt:desc","description":"Method by which to order search results. Valid sorts are name, modifiedAt, and createdAt. Optionally add :asc or :desc to specify ascending or descending order. Default is modifiedAt.\n","enum":["createdAt","createdAt:asc","createdAt:desc","modifiedAt","modifiedAt:asc","modifiedAt:desc","name","name:asc","name:desc"],"nullable":false,"type":"string"}},{"description":"Datetime, in RFC 3339 format. Supports the > and < operators. Time zone defaults to UTC. Restricts results to those created in the specified range. e.g. > 2017-04-30. Date ranges can be specified with the following nomenclature > YYYY-MM-DD AND <YYYY-MM-DD.\n","examples":{"and-range":{"summary":"Filter for all models created within a certain range using the AND operator.","value":"> 2022-03-01 AND < 2022-04-01"},"full-rfc-3339-format":{"summary":"Filter for created models using the full RFC 3339 format","value":"> 2020-12-31T21:07:14-05:00"},"greater-than-example":{"summary":"Filter for all models created after a certain date","value":"> 2022-03-01"}},"in":"query","name":"createdAt","schema":{"type":"string"}},{"description":"Datetime, in RFC 3339 format. Supports the > and < operators. Time zone defaults to UTC. Restricts results to those modified in the specified range. e.g. > 2017-04-30. Date ranges can be specified with the following nomenclature > YYYY-MM-DD AND <YYYY-MM-DD.\n","examples":{"and-range":{"summary":"Filter for all models modified within a certain range using the AND operator.","value":"> 2022-03-01 AND < 2022-04-01"},"full-rfc-3339-format":{"summary":"Filter for modified models using the full RFC 3339 format","value":"> 2020-12-31T21:07:14-05:00"},"greater-than-example":{"summary":"Filter for all models modified after a certain date","value":"> 2022-03-01"}},"in":"query","name":"modifiedAt","schema":{"type":"string"}},{"description":"Name of an AA Sequence. Restricts results to those with the specified name, alias, or entity registry ID.","in":"query","name":"name","schema":{"type":"string"}},{"description":"Name substring of an AA sequence. Restricts results to those with names, aliases, or entity registry IDs that include the provided substring.","in":"query","name":"nameIncludes","schema":{"type":"string"}},{"description":"String of amino acids. Restricts results to AA sequences exactly matching these amino acids (case-insensitive).","in":"query","name":"aminoAcids","schema":{"type":"string"}},{"description":"ID of a folder. Restricts results to those in the folder.","in":"query","name":"folderId","schema":{"type":"string"}},{"description":"Comma-separated list of entry IDs. Restricts results to AA sequences mentioned in those entries.\n","in":"query","name":"mentionedIn","schema":{"type":"string"}},{"description":"ID of a project. Restricts results to those in the project.","in":"query","name":"projectId","schema":{"type":"string"}},{"description":"ID of a registry. Restricts results to those registered in this registry. Specifying \"null\" returns unregistered items.\n","in":"query","name":"registryId","schema":{"nullable":true,"type":"string"}},{"description":"ID of a schema. Restricts results to those of the specified schema.\n","in":"query","name":"schemaId","schema":{"type":"string"}},{"description":"Filter based on schema field value (not display value). Restricts results to those with a field whose value matches the filter. For Integer, Float, and Date type fields, supports the >= and <= operators (but not < or >). If any schemaField filters are present, the schemaId param must also be present. Note that all operators must be separated from any values by a single space.\n","in":"query","name":"schemaFields","schema":{"$ref":"#/components/schemas/SchemaFieldsQueryParam"}},{"description":"Archive reason. Restricts items to those with the specified archive reason. Use \"NOT_ARCHIVED\" to filter for unarchived AA sequences. Use \"ANY_ARCHIVED\" to filter for archived AA sequences regardless of reason. Use \"ANY_ARCHIVED_OR_NOT_ARCHIVED\" to return items for both archived and unarchived.\n","examples":{"1_not_archived":{"summary":"Only include unarchived items (default).","value":"NOT_ARCHIVED"},"2_archived_reason":{"summary":"Includes items archived for a specific reason.","value":"Retired"},"3_any_archived":{"summary":"Includes items archived for any reason.","value":"ANY_ARCHIVED"},"4_any_archived_or_not_archived":{"summary":"Includes both archived and unarchived items.","value":"ANY_ARCHIVED_OR_NOT_ARCHIVED"}},"in":"query","name":"archiveReason","schema":{"type":"string"}},{"description":"Comma-separated list of item IDs. Restricts results to those that mention the given items in the description.\n","in":"query","name":"mentions","schema":{"type":"string"}},{"description":"Comma-separated list of ids. Matches all of the provided IDs, or returns a 400 error that includes a list of which IDs are invalid.\n","in":"query","name":"ids","schema":{"example":"prtn_6gxJGfPh,prtn_u7fOvqWg","type":"string"}},{"description":"Comma-separated list of entity registry IDs. Maximum of 100. Restricts results to those that match any of the specified registry IDs.\n","in":"query","name":"entityRegistryIds.anyOf","schema":{"example":"TP001,TP002","type":"string"}},{"description":"Comma-separated list of names. Maximum of 100. Restricts results to those that match any of the specified names, aliases, or entity registry IDs, case insensitive.  Warning - this filter can be non-performant due to case insensitivity.\n","in":"query","name":"names.anyOf","schema":{"example":"MyName1,MyName2","type":"string"}},{"description":"Comma-separated list of names. Maximum of 100. Restricts results to those that match any of the specified names, aliases, or entity registry IDs, case sensitive.\n","in":"query","name":"names.anyOf.caseSensitive","schema":{"example":"MyName1,MyName2","type":"string"}},{"description":"Comma separated list of users IDs","in":"query","name":"creatorIds","schema":{"example":"ent_a0SApq3z","type":"string"}},{"description":"Comma separated list of user or app IDs. Maximum of 100.","in":"query","name":"authorIds.anyOf","schema":{"example":"ent_a0SApq3z,ent_b4AApz9b","type":"string"}},{"description":"Comma-separated list of fields to return. Modifies the output shape. To return all keys at a given level, enumerate them or use the wildcard, '*'. For more information, [click here](https://docs.benchling.com/docs/getting-started-1#returning-query-parameter).\n\n**Note**: Fields annotations, translations, and primers cannot be introspected with the returning parameter, and any sub fields will be ignored. E.g.: \"aaSequences.annotations.id\" will return the same as \"aaSequences.annotations\".\n","in":"query","name":"returning","schema":{"example":"aaSequences.id,aaSequences.modifiedAt","type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AaSequencesPaginatedList"}}},"description":"OK","headers":{"Result-Count":{"description":"The total number of items that match the given query","schema":{"type":"integer"}},"x-rate-limit-limit":{"description":"The number of allowed requests in the current rate-limit period","schema":{"type":"integer"}},"x-rate-limit-remaining":{"description":"The number of requests remaining in the current rate-limit period","schema":{"type":"integer"}},"x-rate-limit-reset":{"description":"The number of seconds remaining in the current rate-limit period","schema":{"type":"integer"}}}},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestError"}}},"description":"Bad Request"}},"summary":"List AA sequences","tags":["AA Sequences"],"x-cell2cloud-compatibility":{"omittedRequestFields":[],"omittedResponseFields":[],"acceptance":"requires paired source and target verification"},"security":[{"ApiKeyBasic":[]},{"BearerAuth":[]}]}},"/api/v2/aa-sequences/{aa_sequence_id}":{"patch":{"description":"Update an AA sequence","operationId":"updateAASequence","parameters":[{"in":"path","name":"aa_sequence_id","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AaSequenceUpdate"}}}},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AaSequence"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestError"}}},"description":"Bad Request"}},"summary":"Update an AA sequence","tags":["AA Sequences"],"x-cell2cloud-compatibility":{"omittedRequestFields":[],"omittedResponseFields":[],"acceptance":"requires paired source and target verification"},"security":[{"ApiKeyBasic":[]},{"BearerAuth":[]}]},"get":{"description":"Get an AA sequence","operationId":"getAASequence","parameters":[{"in":"path","name":"aa_sequence_id","required":true,"schema":{"type":"string"}},{"description":"Comma-separated list of fields to return. Modifies the output shape. To return all keys at a given level, enumerate them or use the wildcard, '*'. For more information, [click here](https://docs.benchling.com/docs/getting-started-1#returning-query-parameter).\n\n**Note**: Fields annotations, translations, and primers cannot be introspected with the returning parameter, and any sub fields will be ignored. E.g.: \"annotations.id\" will return the same as \"annotations\".\n","in":"query","name":"returning","schema":{"example":"id,modifiedAt","type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AaSequence"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestError"}}},"description":"Bad Request"}},"summary":"Get an AA sequence","tags":["AA Sequences"],"x-cell2cloud-compatibility":{"omittedRequestFields":[],"omittedResponseFields":[],"acceptance":"requires paired source and target verification"},"security":[{"ApiKeyBasic":[]},{"BearerAuth":[]}]}},"/api/v2/rna-sequences":{"post":{"description":"Create an RNA sequence\n\nCell2Cloud limitations: Unsupported request fields: helm, customNotation, customNotationId. Unavailable response fields: helm, primers.color.","operationId":"createRNASequence","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RnaSequenceCreate"}}}},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RnaSequence"}}},"description":"Created"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestError"}}},"description":"Bad Request"},"503":{"description":"Deprecated, a 429 is returned for too many requests"}},"summary":"Create an RNA sequence","tags":["RNA Sequences"],"x-cell2cloud-compatibility":{"omittedRequestFields":["helm","customNotation","customNotationId"],"omittedResponseFields":["helm","primers.color"],"acceptance":"requires paired source and target verification"},"security":[{"ApiKeyBasic":[]},{"BearerAuth":[]}]},"get":{"description":"List RNA sequences\n\nCell2Cloud limitations: Unavailable response fields: helm, primers.color.","operationId":"listRNASequences","parameters":[{"description":"Number of results to return. Defaults to 50, maximum of 100.\n","in":"query","name":"pageSize","schema":{"default":50,"maximum":100,"minimum":1,"nullable":false,"type":"integer"}},{"description":"Token for pagination","in":"query","name":"nextToken","schema":{"type":"string"}},{"description":"Method by which to order search results. Valid sorts are name, modifiedAt, and createdAt. Optionally add :asc or :desc to specify ascending or descending order. Default is modifiedAt.\n","in":"query","name":"sort","schema":{"default":"modifiedAt:desc","enum":["createdAt","createdAt:asc","createdAt:desc","modifiedAt","modifiedAt:asc","modifiedAt:desc","name","name:asc","name:desc"],"nullable":false,"type":"string"}},{"description":"Datetime, in RFC 3339 format. Supports the > and < operators. Time zone defaults to UTC. Restricts results to those created in the specified range. e.g. > 2017-04-30. Date ranges can be specified with the following nomenclature > YYYY-MM-DD AND <YYYY-MM-DD.\n","examples":{"and-range":{"summary":"Filter for all models created within a certain range using the AND operator.","value":"> 2022-03-01 AND < 2022-04-01"},"full-rfc-3339-format":{"summary":"Filter for created models using the full RFC 3339 format","value":"> 2020-12-31T21:07:14-05:00"},"greater-than-example":{"summary":"Filter for all models created after a certain date","value":"> 2022-03-01"}},"in":"query","name":"createdAt","schema":{"type":"string"}},{"description":"Datetime, in RFC 3339 format. Supports the > and < operators. Time zone defaults to UTC. Restricts results to those modified in the specified range. e.g. > 2017-04-30. Date ranges can be specified with the following nomenclature > YYYY-MM-DD AND <YYYY-MM-DD.\n","examples":{"and-range":{"summary":"Filter for all models modified within a certain range using the AND operator.","value":"> 2022-03-01 AND < 2022-04-01"},"full-rfc-3339-format":{"summary":"Filter for modified models using the full RFC 3339 format","value":"> 2020-12-31T21:07:14-05:00"},"greater-than-example":{"summary":"Filter for all models modified after a certain date","value":"> 2022-03-01"}},"in":"query","name":"modifiedAt","schema":{"type":"string"}},{"description":"Name of an RNA Sequence. Restricts results to those with the specified name, alias, or entity registry ID.","in":"query","name":"name","schema":{"type":"string"}},{"description":"Name substring of an RNA Sequence. Restricts results to those with names, aliases, or entity registry IDs that include the provided substring.","in":"query","name":"nameIncludes","schema":{"type":"string"}},{"description":"Full bases of the RNA sequence. Restricts results to those with the specified bases, case-insensitive, allowing for circular or reverse complement matches. Does not allow partial matching or loose matching via degenerate bases.","in":"query","name":"bases","schema":{"type":"string"}},{"description":"ID of a folder. Restricts results to those in the folder.","in":"query","name":"folderId","schema":{"type":"string"}},{"description":"Comma-separated list of entry IDs. Restricts results to RNA sequences mentioned in those entries.\n","in":"query","name":"mentionedIn","schema":{"type":"string"}},{"description":"ID of a project. Restricts results to those in the project.","in":"query","name":"projectId","schema":{"type":"string"}},{"description":"ID of a registry. Restricts results to those registered in this registry. Specifying \"null\" returns unregistered items.\n","in":"query","name":"registryId","schema":{"nullable":true,"type":"string"}},{"description":"ID of a schema. Restricts results to those of the specified schema.\n","in":"query","name":"schemaId","schema":{"type":"string"}},{"description":"Filter based on schema field value (not display value). Restricts results to those with a field whose value matches the filter. For Integer, Float, and Date type fields, supports the >= and <= operators (but not < or >). If any schemaField filters are present, the schemaId param must also be present. Note that all operators must be separated from any values by a single space.\n","in":"query","name":"schemaFields","schema":{"$ref":"#/components/schemas/SchemaFieldsQueryParam"}},{"description":"Archive reason. Restricts items to those with the specified archive reason. Use \"NOT_ARCHIVED\" to filter for unarchived RNA sequences. Use \"ANY_ARCHIVED\" to filter for archived RNA sequences regardless of reason. Use \"ANY_ARCHIVED_OR_NOT_ARCHIVED\" to return items for both archived and unarchived.\n","examples":{"1_not_archived":{"summary":"Only include unarchived items (default).","value":"NOT_ARCHIVED"},"2_archived_reason":{"summary":"Includes items archived for a specific reason.","value":"Retired"},"3_any_archived":{"summary":"Includes items archived for any reason.","value":"ANY_ARCHIVED"},"4_any_archived_or_not_archived":{"summary":"Includes both archived and unarchived items.","value":"ANY_ARCHIVED_OR_NOT_ARCHIVED"}},"in":"query","name":"archiveReason","schema":{"type":"string"}},{"description":"Comma-separated list of item IDs. Restricts results to those that mention the given items in the description.\n","in":"query","name":"mentions","schema":{"type":"string"}},{"description":"Comma-separated list of ids. Matches all of the provided IDs, or returns a 400 error that includes a list of which IDs are invalid.\n","in":"query","name":"ids","schema":{"example":"seq_VzVOART1,seq_RahDGaaC","type":"string"}},{"description":"Comma-separated list of entity registry IDs. Maximum of 100. Restricts results to those that match any of the specified registry IDs.\n","in":"query","name":"entityRegistryIds.anyOf","schema":{"example":"TP001,TP002","type":"string"}},{"description":"Comma-separated list of names. Maximum of 100. Restricts results to those that match any of the specified names, aliases, or entity registry IDs, case insensitive.  Warning - this filter can be non-performant due to case insensitivity.\n","in":"query","name":"names.anyOf","schema":{"example":"MyName1,MyName2","type":"string"}},{"description":"Comma-separated list of names. Maximum of 100. Restricts results to those that match any of the specified names, aliases, or entity registry IDs, case sensitive.\n","in":"query","name":"names.anyOf.caseSensitive","schema":{"example":"MyName1,MyName2","type":"string"}},{"description":"Comma separated list of users IDs","in":"query","name":"creatorIds","schema":{"example":"ent_a0SApq3z","type":"string"}},{"description":"Comma separated list of user or app IDs. Maximum of 100.","in":"query","name":"authorIds.anyOf","schema":{"example":"ent_a0SApq3z,ent_b4AApz9b","type":"string"}},{"description":"ID of the notation to use in populating the customNotation field.","in":"query","name":"customNotationId","schema":{"example":"sntx_lRe007yZ","type":"string"}},{"description":"Comma-separated list of fields to return. Modifies the output shape. To return all keys at a given level, enumerate them or use the wildcard, '*'. For more information, [click here](https://docs.benchling.com/docs/getting-started-1#returning-query-parameter).\n\n**Note**: Fields annotations, translations, and primers cannot be introspected with the returning parameter, and any sub fields will be ignored. E.g.: \"rnaSequences.annotations.id\" will return the same as \"rnaSequences.annotations\".\n","in":"query","name":"returning","schema":{"example":"rnaSequences.id, rnaSequences.modifiedAt","type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RnaSequencesPaginatedList"}}},"description":"OK","headers":{"Result-Count":{"description":"The total number of items that match the given query","schema":{"type":"integer"}},"x-rate-limit-limit":{"description":"The number of allowed requests in the current rate-limit period","schema":{"type":"integer"}},"x-rate-limit-remaining":{"description":"The number of requests remaining in the current rate-limit period","schema":{"type":"integer"}},"x-rate-limit-reset":{"description":"The number of seconds remaining in the current rate-limit period","schema":{"type":"integer"}}}},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestError"}}},"description":"Bad Request"}},"summary":"List RNA sequences","tags":["RNA Sequences"],"x-cell2cloud-compatibility":{"omittedRequestFields":[],"omittedResponseFields":["helm","primers.color"],"acceptance":"requires paired source and target verification"},"security":[{"ApiKeyBasic":[]},{"BearerAuth":[]}]}},"/api/v2/rna-sequences/{rna_sequence_id}":{"patch":{"description":"Update an RNA sequence\n\nCell2Cloud limitations: Unsupported request fields: helm, customNotation, customNotationId. Unavailable response fields: helm, primers.color.","operationId":"updateRNASequence","parameters":[{"in":"path","name":"rna_sequence_id","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RnaSequenceUpdate"}}}},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RnaSequence"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestError"}}},"description":"Bad Request"}},"summary":"Update an RNA sequence","tags":["RNA Sequences"],"x-cell2cloud-compatibility":{"omittedRequestFields":["helm","customNotation","customNotationId"],"omittedResponseFields":["helm","primers.color"],"acceptance":"requires paired source and target verification"},"security":[{"ApiKeyBasic":[]},{"BearerAuth":[]}]},"get":{"description":"Get an RNA sequence\n\nCell2Cloud limitations: Unavailable response fields: helm, primers.color.","operationId":"getRNASequence","parameters":[{"in":"path","name":"rna_sequence_id","required":true,"schema":{"type":"string"}},{"description":"Comma-separated list of fields to return. Modifies the output shape. To return all keys at a given level, enumerate them or use the wildcard, '*'. For more information, [click here](https://docs.benchling.com/docs/getting-started-1#returning-query-parameter).\n\n**Note**: Fields annotations, translations, and primers cannot be introspected with the returning parameter, and any sub fields will be ignored. E.g.: \"annotations.id\" will return the same as \"annotations\".\n","in":"query","name":"returning","schema":{"example":"id,modifiedAt","type":"string"}},{"description":"ID of the notation to use in populating the customNotation field.","in":"query","name":"customNotationId","schema":{"example":"sntx_lRe007yZ","type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RnaSequence"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestError"}}},"description":"Bad Request"}},"summary":"Get an RNA sequence","tags":["RNA Sequences"],"x-cell2cloud-compatibility":{"omittedRequestFields":[],"omittedResponseFields":["helm","primers.color"],"acceptance":"requires paired source and target verification"},"security":[{"ApiKeyBasic":[]},{"BearerAuth":[]}]}},"/api/v2/dna-oligos":{"post":{"description":"Create a DNA Oligo\n\nCell2Cloud limitations: Unsupported request fields: helm, customNotation, customNotationId. Unavailable response fields: helm.","operationId":"createDNAOligo","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DnaOligoCreate"}}}},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DnaOligo"}}},"description":"Created"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestError"}}},"description":"Bad Request"},"503":{"description":"Deprecated, a 429 is returned for too many requests"}},"summary":"Create a DNA Oligo","tags":["DNA Oligos"],"x-cell2cloud-compatibility":{"omittedRequestFields":["helm","customNotation","customNotationId"],"omittedResponseFields":["helm"],"acceptance":"requires paired source and target verification"},"security":[{"ApiKeyBasic":[]},{"BearerAuth":[]}]},"get":{"description":"List DNA Oligos\n\nCell2Cloud limitations: Unavailable response fields: helm.","operationId":"listDNAOligos","parameters":[{"description":"Number of results to return. Defaults to 50, maximum of 100.\n","in":"query","name":"pageSize","schema":{"default":50,"maximum":100,"minimum":1,"nullable":false,"type":"integer"}},{"description":"Token for pagination","in":"query","name":"nextToken","schema":{"type":"string"}},{"in":"query","name":"sort","schema":{"default":"modifiedAt:desc","description":"Method by which to order search results. Valid sorts are name, modifiedAt, and createdAt. Optionally add :asc or :desc to specify ascending or descending order. Default is modifiedAt.\n","enum":["createdAt","createdAt:asc","createdAt:desc","modifiedAt","modifiedAt:asc","modifiedAt:desc","name","name:asc","name:desc"],"nullable":false,"type":"string"}},{"description":"Datetime, in RFC 3339 format. Supports the > and < operators. Time zone defaults to UTC. Restricts results to those created in the specified range. e.g. > 2017-04-30. Date ranges can be specified with the following nomenclature > YYYY-MM-DD AND <YYYY-MM-DD.\n","examples":{"and-range":{"summary":"Filter for all models created within a certain range using the AND operator.","value":"> 2022-03-01 AND < 2022-04-01"},"full-rfc-3339-format":{"summary":"Filter for created models using the full RFC 3339 format","value":"> 2020-12-31T21:07:14-05:00"},"greater-than-example":{"summary":"Filter for all models created after a certain date","value":"> 2022-03-01"}},"in":"query","name":"createdAt","schema":{"type":"string"}},{"description":"Datetime, in RFC 3339 format. Supports the > and < operators. Time zone defaults to UTC. Restricts results to those modified in the specified range. e.g. > 2017-04-30. Date ranges can be specified with the following nomenclature > YYYY-MM-DD AND <YYYY-MM-DD.\n","examples":{"and-range":{"summary":"Filter for all models modified within a certain range using the AND operator.","value":"> 2022-03-01 AND < 2022-04-01"},"full-rfc-3339-format":{"summary":"Filter for modified models using the full RFC 3339 format","value":"> 2020-12-31T21:07:14-05:00"},"greater-than-example":{"summary":"Filter for all models modified after a certain date","value":"> 2022-03-01"}},"in":"query","name":"modifiedAt","schema":{"type":"string"}},{"description":"Name of a DNA Oligo. Restricts results to those with the specified name, alias, or entity registry ID.","in":"query","name":"name","schema":{"type":"string"}},{"description":"Name substring of a DNA Oligo. Restricts results to those with names, aliases, or entity registry IDs that include the provided substring.","in":"query","name":"nameIncludes","schema":{"type":"string"}},{"description":"Full bases of the DNA Oligo. Restricts results to those with the specified bases, case-insensitive, allowing for circular or reverse complement matches. Does not allow partial matching or loose matching via degenerate bases.\n","in":"query","name":"bases","schema":{"type":"string"}},{"description":"ID of a folder. Restricts results to those in the folder.","in":"query","name":"folderId","schema":{"type":"string"}},{"description":"Comma-separated list of entry IDs. Restricts results to DNA Oligos mentioned in those entries.\n","in":"query","name":"mentionedIn","schema":{"type":"string"}},{"description":"ID of a project. Restricts results to those in the project.","in":"query","name":"projectId","schema":{"type":"string"}},{"description":"ID of a registry. Restricts results to those registered in this registry. Specifying \"null\" returns unregistered items.\n","in":"query","name":"registryId","schema":{"nullable":true,"type":"string"}},{"description":"ID of a schema. Restricts results to those of the specified schema.\n","in":"query","name":"schemaId","schema":{"type":"string"}},{"description":"Filter based on schema field value (not display value). Restricts results to those with a field whose value matches the filter. For Integer, Float, and Date type fields, supports the >= and <= operators (but not < or >). If any schemaField filters are present, the schemaId param must also be present. Note that all operators must be separated from any values by a single space.\n","in":"query","name":"schemaFields","schema":{"$ref":"#/components/schemas/SchemaFieldsQueryParam"}},{"description":"Archive reason. Restricts items to those with the specified archive reason. Use \"NOT_ARCHIVED\" to filter for unarchived DNA Oligos. Use \"ANY_ARCHIVED\" to filter for archived DNA Oligos regardless of reason. Use \"ANY_ARCHIVED_OR_NOT_ARCHIVED\" to return items for both archived and unarchived.\n","examples":{"1_not_archived":{"summary":"Only include unarchived items (default).","value":"NOT_ARCHIVED"},"2_archived_reason":{"summary":"Includes items archived for a specific reason.","value":"Retired"},"3_any_archived":{"summary":"Includes items archived for any reason.","value":"ANY_ARCHIVED"},"4_any_archived_or_not_archived":{"summary":"Includes both archived and unarchived items.","value":"ANY_ARCHIVED_OR_NOT_ARCHIVED"}},"in":"query","name":"archiveReason","schema":{"type":"string"}},{"description":"Comma-separated list of item IDs. Restricts results to those that mention the given items in the description.\n","in":"query","name":"mentions","schema":{"type":"string"}},{"description":"Comma-separated list of ids. Matches all of the provided IDs, or returns a 400 error that includes a list of which IDs are invalid.\n","in":"query","name":"ids","schema":{"example":"seq_yWs5X7lv,seq_RhYGVnHF","type":"string"}},{"description":"Comma-separated list of entity registry IDs. Maximum of 100. Restricts results to those that match any of the specified registry IDs.\n","in":"query","name":"entityRegistryIds.anyOf","schema":{"example":"TP001,TP002","type":"string"}},{"description":"Comma-separated list of names. Maximum of 100. Restricts results to those that match any of the specified names, aliases, or entity registry IDs, case insensitive.  Warning - this filter can be non-performant due to case insensitivity.\n","in":"query","name":"names.anyOf","schema":{"example":"MyName1,MyName2","type":"string"}},{"description":"Comma-separated list of names. Maximum of 100. Restricts results to those that match any of the specified names, aliases, or entity registry IDs, case sensitive.\n","in":"query","name":"names.anyOf.caseSensitive","schema":{"example":"MyName1,MyName2","type":"string"}},{"description":"Comma separated list of users IDs","in":"query","name":"creatorIds","schema":{"example":"ent_a0SApq3z","type":"string"}},{"description":"Comma separated list of user or app IDs. Maximum of 100.","in":"query","name":"authorIds.anyOf","schema":{"example":"ent_a0SApq3z,ent_b4AApz9b","type":"string"}},{"description":"Comma-separated list of fields to return. Modifies the output shape. To return all keys at a given level, enumerate them or use the wildcard, '*'. For more information, [click here](https://docs.benchling.com/docs/getting-started-1#returning-query-parameter).","in":"query","name":"returning","schema":{"example":"dnaOligos.id,dnaOligos.modifiedAt","type":"string"}},{"description":"ID of the notation to use in populating the customNotation field.","in":"query","name":"customNotationId","schema":{"example":"sntx_lRe007yZ","type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DnaOligosPaginatedList"}}},"description":"OK","headers":{"Result-Count":{"description":"The total number of items that match the given query","schema":{"type":"integer"}},"x-rate-limit-limit":{"description":"The number of allowed requests in the current rate-limit period","schema":{"type":"integer"}},"x-rate-limit-remaining":{"description":"The number of requests remaining in the current rate-limit period","schema":{"type":"integer"}},"x-rate-limit-reset":{"description":"The number of seconds remaining in the current rate-limit period","schema":{"type":"integer"}}}},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestError"}}},"description":"Bad Request"}},"summary":"List DNA Oligos","tags":["DNA Oligos"],"x-cell2cloud-compatibility":{"omittedRequestFields":[],"omittedResponseFields":["helm"],"acceptance":"requires paired source and target verification"},"security":[{"ApiKeyBasic":[]},{"BearerAuth":[]}]}},"/api/v2/dna-oligos/{oligo_id}":{"patch":{"description":"Update a DNA Oligo\n\nCell2Cloud limitations: Unsupported request fields: helm, customNotation, customNotationId. Unavailable response fields: helm.","operationId":"updateDNAOligo","parameters":[{"in":"path","name":"oligo_id","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DnaOligoUpdate"}}}},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DnaOligo"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestError"}}},"description":"Bad Request"}},"summary":"Update a DNA Oligo","tags":["DNA Oligos"],"x-cell2cloud-compatibility":{"omittedRequestFields":["helm","customNotation","customNotationId"],"omittedResponseFields":["helm"],"acceptance":"requires paired source and target verification"},"security":[{"ApiKeyBasic":[]},{"BearerAuth":[]}]},"get":{"description":"Get a DNA Oligo\n\nCell2Cloud limitations: Unavailable response fields: helm.","operationId":"getDNAOligo","parameters":[{"in":"path","name":"oligo_id","required":true,"schema":{"type":"string"}},{"description":"ID of the notation to use in populating the customNotation field.","in":"query","name":"customNotationId","schema":{"example":"sntx_lRe007yZ","type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DnaOligo"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestError"}}},"description":"Bad Request"}},"summary":"Get a DNA Oligo","tags":["DNA Oligos"],"x-cell2cloud-compatibility":{"omittedRequestFields":[],"omittedResponseFields":["helm"],"acceptance":"requires paired source and target verification"},"security":[{"ApiKeyBasic":[]},{"BearerAuth":[]}]}},"/api/v2/rna-oligos":{"post":{"description":"Create an RNA Oligo\n\nCell2Cloud limitations: Unsupported request fields: helm, customNotation, customNotationId. Unavailable response fields: helm.","operationId":"createRNAOligo","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RnaOligoCreate"}}}},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RnaOligo"}}},"description":"Created"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestError"}}},"description":"Bad Request"},"503":{"description":"Deprecated, a 429 is returned for too many requests"}},"summary":"Create an RNA Oligo","tags":["RNA Oligos"],"x-cell2cloud-compatibility":{"omittedRequestFields":["helm","customNotation","customNotationId"],"omittedResponseFields":["helm"],"acceptance":"requires paired source and target verification"},"security":[{"ApiKeyBasic":[]},{"BearerAuth":[]}]},"get":{"description":"List RNA Oligos\n\nCell2Cloud limitations: Unavailable response fields: helm.","operationId":"listRNAOligos","parameters":[{"description":"Number of results to return. Defaults to 50, maximum of 100.\n","in":"query","name":"pageSize","schema":{"default":50,"maximum":100,"minimum":1,"nullable":false,"type":"integer"}},{"description":"Token for pagination","in":"query","name":"nextToken","schema":{"type":"string"}},{"in":"query","name":"sort","schema":{"default":"modifiedAt:desc","description":"Method by which to order search results. Valid sorts are name, modifiedAt, and createdAt. Optionally add :asc or :desc to specify ascending or descending order. Default is modifiedAt.\n","enum":["createdAt","createdAt:asc","createdAt:desc","modifiedAt","modifiedAt:asc","modifiedAt:desc","name","name:asc","name:desc"],"nullable":false,"type":"string"}},{"description":"Datetime, in RFC 3339 format. Supports the > and < operators. Time zone defaults to UTC. Restricts results to those created in the specified range. e.g. > 2017-04-30. Date ranges can be specified with the following nomenclature > YYYY-MM-DD AND <YYYY-MM-DD.\n","examples":{"and-range":{"summary":"Filter for all models created within a certain range using the AND operator.","value":"> 2022-03-01 AND < 2022-04-01"},"full-rfc-3339-format":{"summary":"Filter for created models using the full RFC 3339 format","value":"> 2020-12-31T21:07:14-05:00"},"greater-than-example":{"summary":"Filter for all models created after a certain date","value":"> 2022-03-01"}},"in":"query","name":"createdAt","schema":{"type":"string"}},{"description":"Datetime, in RFC 3339 format. Supports the > and < operators. Time zone defaults to UTC. Restricts results to those modified in the specified range. e.g. > 2017-04-30. Date ranges can be specified with the following nomenclature > YYYY-MM-DD AND <YYYY-MM-DD.\n","examples":{"and-range":{"summary":"Filter for all models modified within a certain range using the AND operator.","value":"> 2022-03-01 AND < 2022-04-01"},"full-rfc-3339-format":{"summary":"Filter for modified models using the full RFC 3339 format","value":"> 2020-12-31T21:07:14-05:00"},"greater-than-example":{"summary":"Filter for all models modified after a certain date","value":"> 2022-03-01"}},"in":"query","name":"modifiedAt","schema":{"type":"string"}},{"description":"Name of an RNA Oligo. Restricts results to those with the specified name, alias, or entity registry ID.","in":"query","name":"name","schema":{"type":"string"}},{"description":"Name substring of an RNA Oligo. Restricts results to those with names, aliases, or entity registry IDs that include the provided substring.","in":"query","name":"nameIncludes","schema":{"type":"string"}},{"description":"Full bases of the RNA Oligo. Restricts results to those with the specified bases, case-insensitive, allowing for circular or reverse complement matches. Does not allow partial matching or loose matching via degenerate bases.\n","in":"query","name":"bases","schema":{"type":"string"}},{"description":"ID of a folder. Restricts results to those in the folder.","in":"query","name":"folderId","schema":{"type":"string"}},{"description":"Comma-separated list of entry IDs. Restricts results to RNA Oligos mentioned in those entries.\n","in":"query","name":"mentionedIn","schema":{"type":"string"}},{"description":"ID of a project. Restricts results to those in the project.","in":"query","name":"projectId","schema":{"type":"string"}},{"description":"ID of a registry. Restricts results to those registered in this registry. Specifying \"null\" returns unregistered items.\n","in":"query","name":"registryId","schema":{"nullable":true,"type":"string"}},{"description":"ID of a schema. Restricts results to those of the specified schema.\n","in":"query","name":"schemaId","schema":{"type":"string"}},{"description":"Filter based on schema field value (not display value). Restricts results to those with a field whose value matches the filter. For Integer, Float, and Date type fields, supports the >= and <= operators (but not < or >). If any schemaField filters are present, the schemaId param must also be present. Note that all operators must be separated from any values by a single space.\n","in":"query","name":"schemaFields","schema":{"$ref":"#/components/schemas/SchemaFieldsQueryParam"}},{"description":"Archive reason. Restricts items to those with the specified archive reason. Use \"NOT_ARCHIVED\" to filter for unarchived RNA Oligos. Use \"ANY_ARCHIVED\" to filter for archived RNA Oligos regardless of reason. Use \"ANY_ARCHIVED_OR_NOT_ARCHIVED\" to return items for both archived and unarchived.\n","examples":{"1_not_archived":{"summary":"Only include unarchived items (default).","value":"NOT_ARCHIVED"},"2_archived_reason":{"summary":"Includes items archived for a specific reason.","value":"Retired"},"3_any_archived":{"summary":"Includes items archived for any reason.","value":"ANY_ARCHIVED"},"4_any_archived_or_not_archived":{"summary":"Includes both archived and unarchived items.","value":"ANY_ARCHIVED_OR_NOT_ARCHIVED"}},"in":"query","name":"archiveReason","schema":{"type":"string"}},{"description":"Comma-separated list of item IDs. Restricts results to those that mention the given items in the description.\n","in":"query","name":"mentions","schema":{"type":"string"}},{"description":"Comma-separated list of ids. Matches all of the provided IDs, or returns a 400 error that includes a list of which IDs are invalid.\n","in":"query","name":"ids","schema":{"example":"seq_yWs5X7lv,seq_RhYGVnHF","type":"string"}},{"description":"Comma-separated list of entity registry IDs. Maximum of 100. Restricts results to those that match any of the specified registry IDs.\n","in":"query","name":"entityRegistryIds.anyOf","schema":{"example":"TP001,TP002","type":"string"}},{"description":"Comma-separated list of names. Maximum of 100. Restricts results to those that match any of the specified names, aliases, or entity registry IDs, case insensitive.  Warning - this filter can be non-performant due to case insensitivity.\n","in":"query","name":"names.anyOf","schema":{"example":"MyName1,MyName2","type":"string"}},{"description":"Comma-separated list of names. Maximum of 100. Restricts results to those that match any of the specified names, aliases, or entity registry IDs, case sensitive.\n","in":"query","name":"names.anyOf.caseSensitive","schema":{"example":"MyName1,MyName2","type":"string"}},{"description":"Comma separated list of users IDs","in":"query","name":"creatorIds","schema":{"example":"ent_a0SApq3z","type":"string"}},{"description":"Comma separated list of user or app IDs. Maximum of 100.","in":"query","name":"authorIds.anyOf","schema":{"example":"ent_a0SApq3z,ent_b4AApz9b","type":"string"}},{"description":"Comma-separated list of fields to return. Modifies the output shape. To return all keys at a given level, enumerate them or use the wildcard, '*'. For more information, [click here](https://docs.benchling.com/docs/getting-started-1#returning-query-parameter).","in":"query","name":"returning","schema":{"example":"rnaOligos.id,rnaOligos.modifiedAt","type":"string"}},{"description":"ID of the notation to use in populating the customNotation field.","in":"query","name":"customNotationId","schema":{"example":"sntx_lRe007yZ","type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RnaOligosPaginatedList"}}},"description":"OK","headers":{"Result-Count":{"description":"The total number of items that match the given query","schema":{"type":"integer"}},"x-rate-limit-limit":{"description":"The number of allowed requests in the current rate-limit period","schema":{"type":"integer"}},"x-rate-limit-remaining":{"description":"The number of requests remaining in the current rate-limit period","schema":{"type":"integer"}},"x-rate-limit-reset":{"description":"The number of seconds remaining in the current rate-limit period","schema":{"type":"integer"}}}},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestError"}}},"description":"Bad Request"}},"summary":"List RNA Oligos","tags":["RNA Oligos"],"x-cell2cloud-compatibility":{"omittedRequestFields":[],"omittedResponseFields":["helm"],"acceptance":"requires paired source and target verification"},"security":[{"ApiKeyBasic":[]},{"BearerAuth":[]}]}},"/api/v2/rna-oligos/{oligo_id}":{"patch":{"description":"Update an RNA Oligo\n\nCell2Cloud limitations: Unsupported request fields: helm, customNotation, customNotationId. Unavailable response fields: helm.","operationId":"updateRNAOligo","parameters":[{"in":"path","name":"oligo_id","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RnaOligoUpdate"}}}},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RnaOligo"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestError"}}},"description":"Bad Request"}},"summary":"Update an RNA Oligo","tags":["RNA Oligos"],"x-cell2cloud-compatibility":{"omittedRequestFields":["helm","customNotation","customNotationId"],"omittedResponseFields":["helm"],"acceptance":"requires paired source and target verification"},"security":[{"ApiKeyBasic":[]},{"BearerAuth":[]}]},"get":{"description":"Get an RNA Oligo\n\nCell2Cloud limitations: Unavailable response fields: helm.","operationId":"getRNAOligo","parameters":[{"in":"path","name":"oligo_id","required":true,"schema":{"type":"string"}},{"description":"Comma-separated list of fields to return. Modifies the output shape. To return all keys at a given level, enumerate them or use the wildcard, '*'. For more information, [click here](https://docs.benchling.com/docs/getting-started-1#returning-query-parameter).","in":"query","name":"returning","schema":{"example":"id,modifiedAt","type":"string"}},{"description":"ID of the notation to use in populating the customNotation field.","in":"query","name":"customNotationId","schema":{"example":"sntx_lRe007yZ","type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RnaOligo"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestError"}}},"description":"Bad Request"}},"summary":"Get an RNA Oligo","tags":["RNA Oligos"],"x-cell2cloud-compatibility":{"omittedRequestFields":[],"omittedResponseFields":["helm"],"acceptance":"requires paired source and target verification"},"security":[{"ApiKeyBasic":[]},{"BearerAuth":[]}]}},"/api/v2/entity-schemas":{"get":{"description":"List entity schemas","operationId":"listEntitySchemas","parameters":[{"in":"query","name":"nextToken","schema":{"type":"string"}},{"in":"query","name":"pageSize","schema":{"default":50,"maximum":100,"minimum":1,"nullable":false,"type":"integer"}},{"description":"Datetime, in RFC 3339 format. Supports the > and < operators. Time zone defaults to UTC. Restricts results to those modified in the specified range. e.g. > 2017-04-30. Date ranges can be specified with the following nomenclature > YYYY-MM-DD AND <YYYY-MM-DD.\n","examples":{"and-range":{"summary":"Filter for all models modified within a certain range using the AND operator.","value":"> 2022-03-01 AND < 2022-04-01"},"full-rfc-3339-format":{"summary":"Filter for modified models using the full RFC 3339 format","value":"> 2020-12-31T21:07:14-05:00"},"greater-than-example":{"summary":"Filter for all models modified after a certain date","value":"> 2022-03-01"}},"in":"query","name":"modifiedAt","schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntitySchemasPaginatedList"}}},"description":"OK","headers":{"Result-Count":{"description":"The total number of schemas that match the given query","schema":{"type":"integer"}},"x-rate-limit-limit":{"description":"The number of allowed requests in the current rate-limit period","schema":{"type":"integer"}},"x-rate-limit-remaining":{"description":"The number of calls remaining in the current rate-limit period","schema":{"type":"integer"}},"x-rate-limit-reset":{"description":"The number of seconds remaining in the current rate-limit period","schema":{"type":"integer"}}}},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestError"}}},"description":"Bad Request"}},"summary":"List entity schemas","tags":["Schemas"],"x-cell2cloud-compatibility":{"omittedRequestFields":[],"omittedResponseFields":[],"acceptance":"requires paired source and target verification"},"security":[{"ApiKeyBasic":[]},{"BearerAuth":[]}]}},"/api/v2/entity-schemas/{schema_id}":{"get":{"description":"Get an entity schema by ID","operationId":"getEntitySchema","parameters":[{"description":"ID of schema to get","in":"path","name":"schema_id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntitySchema"}}},"description":"OK"},"400":{"description":"Bad Request"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundError"}}},"description":"Not Found"}},"summary":"Get an entity schema by ID","tags":["Schemas"],"x-cell2cloud-compatibility":{"omittedRequestFields":[],"omittedResponseFields":[],"acceptance":"requires paired source and target verification"},"security":[{"ApiKeyBasic":[]},{"BearerAuth":[]}]}},"/api/v2/container-schemas":{"get":{"description":"List container schemas","operationId":"listContainerSchemas","parameters":[{"in":"query","name":"nextToken","schema":{"type":"string"}},{"in":"query","name":"pageSize","schema":{"default":50,"maximum":100,"minimum":1,"nullable":false,"type":"integer"}},{"description":"Datetime, in RFC 3339 format. Supports the > and < operators. Time zone defaults to UTC. Restricts results to those modified in the specified range. e.g. > 2017-04-30. Date ranges can be specified with the following nomenclature > YYYY-MM-DD AND <YYYY-MM-DD.\n","examples":{"and-range":{"summary":"Filter for all models modified within a certain range using the AND operator.","value":"> 2022-03-01 AND < 2022-04-01"},"full-rfc-3339-format":{"summary":"Filter for modified models using the full RFC 3339 format","value":"> 2020-12-31T21:07:14-05:00"},"greater-than-example":{"summary":"Filter for all models modified after a certain date","value":"> 2022-03-01"}},"in":"query","name":"modifiedAt","schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContainerSchemasPaginatedList"}}},"description":"OK","headers":{"Result-Count":{"description":"The total number of schemas that match the given query","schema":{"type":"integer"}},"x-rate-limit-limit":{"description":"The number of allowed requests in the current rate-limit period","schema":{"type":"integer"}},"x-rate-limit-remaining":{"description":"The number of calls remaining in the current rate-limit period","schema":{"type":"integer"}},"x-rate-limit-reset":{"description":"The number of seconds remaining in the current rate-limit period","schema":{"type":"integer"}}}},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestError"}}},"description":"Bad Request"}},"summary":"List container schemas","tags":["Schemas"],"x-cell2cloud-compatibility":{"omittedRequestFields":[],"omittedResponseFields":[],"acceptance":"requires paired source and target verification"},"security":[{"ApiKeyBasic":[]},{"BearerAuth":[]}]}},"/api/v2/container-schemas/{schema_id}":{"get":{"description":"Get a container schema by ID","operationId":"getContainerSchema","parameters":[{"description":"ID of schema to get","in":"path","name":"schema_id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContainerSchema"}}},"description":"OK"},"400":{"description":"Bad Request"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundError"}}},"description":"Not Found"}},"summary":"Get a container schema by ID","tags":["Schemas"],"x-cell2cloud-compatibility":{"omittedRequestFields":[],"omittedResponseFields":[],"acceptance":"requires paired source and target verification"},"security":[{"ApiKeyBasic":[]},{"BearerAuth":[]}]}},"/api/v2/plate-schemas":{"get":{"description":"List plate schemas","operationId":"listPlateSchemas","parameters":[{"in":"query","name":"nextToken","schema":{"type":"string"}},{"in":"query","name":"pageSize","schema":{"default":50,"maximum":100,"minimum":1,"nullable":false,"type":"integer"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PlateSchemasPaginatedList"}}},"description":"OK","headers":{"Result-Count":{"description":"The total number of schemas that match the given query","schema":{"type":"integer"}},"x-rate-limit-limit":{"description":"The number of allowed requests in the current rate-limit period","schema":{"type":"integer"}},"x-rate-limit-remaining":{"description":"The number of calls remaining in the current rate-limit period","schema":{"type":"integer"}},"x-rate-limit-reset":{"description":"The number of seconds remaining in the current rate-limit period","schema":{"type":"integer"}}}},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestError"}}},"description":"Bad Request"}},"summary":"List plate schemas","tags":["Schemas"],"x-cell2cloud-compatibility":{"omittedRequestFields":[],"omittedResponseFields":[],"acceptance":"requires paired source and target verification"},"security":[{"ApiKeyBasic":[]},{"BearerAuth":[]}]}},"/api/v2/plate-schemas/{schema_id}":{"get":{"description":"Get a plate schema by ID","operationId":"getPlateSchema","parameters":[{"description":"ID of schema to get","in":"path","name":"schema_id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PlateSchema"}}},"description":"OK"},"400":{"description":"Bad Request"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundError"}}},"description":"Not Found"}},"summary":"Get a plate schema by ID","tags":["Schemas"],"x-cell2cloud-compatibility":{"omittedRequestFields":[],"omittedResponseFields":[],"acceptance":"requires paired source and target verification"},"security":[{"ApiKeyBasic":[]},{"BearerAuth":[]}]}},"/api/v2/box-schemas":{"get":{"description":"List box schemas","operationId":"listBoxSchemas","parameters":[{"in":"query","name":"nextToken","schema":{"type":"string"}},{"in":"query","name":"pageSize","schema":{"default":50,"maximum":100,"minimum":1,"nullable":false,"type":"integer"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BoxSchemasPaginatedList"}}},"description":"OK","headers":{"Result-Count":{"description":"The total number of schemas that match the given query","schema":{"type":"integer"}},"x-rate-limit-limit":{"description":"The number of allowed requests in the current rate-limit period","schema":{"type":"integer"}},"x-rate-limit-remaining":{"description":"The number of calls remaining in the current rate-limit period","schema":{"type":"integer"}},"x-rate-limit-reset":{"description":"The number of seconds remaining in the current rate-limit period","schema":{"type":"integer"}}}},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestError"}}},"description":"Bad Request"}},"summary":"List box schemas","tags":["Schemas"],"x-cell2cloud-compatibility":{"omittedRequestFields":[],"omittedResponseFields":[],"acceptance":"requires paired source and target verification"},"security":[{"ApiKeyBasic":[]},{"BearerAuth":[]}]}},"/api/v2/box-schemas/{schema_id}":{"get":{"description":"Get a box schema by ID","operationId":"getBoxSchema","parameters":[{"description":"ID of schema to get","in":"path","name":"schema_id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BoxSchema"}}},"description":"OK"},"400":{"description":"Bad Request"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundError"}}},"description":"Not Found"}},"summary":"Get a box schema by ID","tags":["Schemas"],"x-cell2cloud-compatibility":{"omittedRequestFields":[],"omittedResponseFields":[],"acceptance":"requires paired source and target verification"},"security":[{"ApiKeyBasic":[]},{"BearerAuth":[]}]}},"/api/v2/location-schemas":{"get":{"description":"List location schemas","operationId":"listLocationSchemas","parameters":[{"in":"query","name":"nextToken","schema":{"type":"string"}},{"in":"query","name":"pageSize","schema":{"default":50,"maximum":100,"minimum":1,"nullable":false,"type":"integer"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LocationSchemasPaginatedList"}}},"description":"OK","headers":{"Result-Count":{"description":"The total number of schemas that match the given query","schema":{"type":"integer"}},"x-rate-limit-limit":{"description":"The number of allowed requests in the current rate-limit period","schema":{"type":"integer"}},"x-rate-limit-remaining":{"description":"The number of calls remaining in the current rate-limit period","schema":{"type":"integer"}},"x-rate-limit-reset":{"description":"The number of seconds remaining in the current rate-limit period","schema":{"type":"integer"}}}},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestError"}}},"description":"Bad Request"}},"summary":"List location schemas","tags":["Schemas"],"x-cell2cloud-compatibility":{"omittedRequestFields":[],"omittedResponseFields":[],"acceptance":"requires paired source and target verification"},"security":[{"ApiKeyBasic":[]},{"BearerAuth":[]}]}},"/api/v2/location-schemas/{schema_id}":{"get":{"description":"Get a location schema by ID","operationId":"getLocationSchema","parameters":[{"description":"ID of schema to get","in":"path","name":"schema_id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LocationSchema"}}},"description":"OK"},"400":{"description":"Bad Request"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundError"}}},"description":"Not Found"}},"summary":"Get a location schema by ID","tags":["Schemas"],"x-cell2cloud-compatibility":{"omittedRequestFields":[],"omittedResponseFields":[],"acceptance":"requires paired source and target verification"},"security":[{"ApiKeyBasic":[]},{"BearerAuth":[]}]}},"/api/v2/assay-result-schemas":{"get":{"description":"List assay result schemas","operationId":"listAssayResultSchemas","parameters":[{"in":"query","name":"nextToken","schema":{"type":"string"}},{"in":"query","name":"pageSize","schema":{"default":50,"maximum":100,"minimum":1,"nullable":false,"type":"integer"}},{"description":"Datetime, in RFC 3339 format. Supports the > and < operators. Time zone defaults to UTC. Restricts results to those modified in the specified range. e.g. > 2017-04-30. Date ranges can be specified with the following nomenclature > YYYY-MM-DD AND <YYYY-MM-DD.\n","examples":{"and-range":{"summary":"Filter for all models modified within a certain range using the AND operator.","value":"> 2022-03-01 AND < 2022-04-01"},"full-rfc-3339-format":{"summary":"Filter for modified models using the full RFC 3339 format","value":"> 2020-12-31T21:07:14-05:00"},"greater-than-example":{"summary":"Filter for all models modified after a certain date","value":"> 2022-03-01"}},"in":"query","name":"modifiedAt","schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AssayResultSchemasPaginatedList"}}},"description":"OK","headers":{"Result-Count":{"description":"The total number of schemas that match the given query","schema":{"type":"integer"}},"x-rate-limit-limit":{"description":"The number of allowed assay results in the current rate-limit period","schema":{"type":"integer"}},"x-rate-limit-remaining":{"description":"The number of calls remaining in the current rate-limit period","schema":{"type":"integer"}},"x-rate-limit-reset":{"description":"The number of seconds remaining in the current rate-limit period","schema":{"type":"integer"}}}},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestError"}}},"description":"Bad Request"}},"summary":"List assay result schemas","tags":["Schemas"],"x-cell2cloud-compatibility":{"omittedRequestFields":[],"omittedResponseFields":[],"acceptance":"requires paired source and target verification"},"security":[{"ApiKeyBasic":[]},{"BearerAuth":[]}]}},"/api/v2/assay-result-schemas/{schema_id}":{"get":{"description":"Get a Result schema by ID","operationId":"getResultSchema","parameters":[{"description":"ID of schema to get","in":"path","name":"schema_id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AssayResultSchema"}}},"description":"OK"},"400":{"description":"Bad Request"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundError"}}},"description":"Not Found"}},"summary":"Get a Result schema by ID","tags":["Schemas"],"x-cell2cloud-compatibility":{"omittedRequestFields":[],"omittedResponseFields":[],"acceptance":"requires paired source and target verification"},"security":[{"ApiKeyBasic":[]},{"BearerAuth":[]}]}},"/api/v2/dropdowns":{"get":{"description":"List dropdowns","operationId":"listDropdowns","parameters":[{"in":"query","name":"nextToken","schema":{"type":"string"}},{"in":"query","name":"pageSize","schema":{"default":50,"maximum":100,"minimum":1,"nullable":false,"type":"integer"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DropdownSummariesPaginatedList"}}},"description":"OK","headers":{"Result-Count":{"description":"The total number of dropdowns that match the given query","schema":{"type":"integer"}},"x-rate-limit-limit":{"description":"The number of allowed requests in the current rate-limit period","schema":{"type":"integer"}},"x-rate-limit-remaining":{"description":"The number of calls remaining in the current rate-limit period","schema":{"type":"integer"}},"x-rate-limit-reset":{"description":"The number of seconds remaining in the current rate-limit period","schema":{"type":"integer"}}}},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestError"}}},"description":"Bad Request"}},"summary":"List dropdowns","tags":["Dropdowns"],"x-cell2cloud-compatibility":{"omittedRequestFields":[],"omittedResponseFields":[],"acceptance":"requires paired source and target verification"},"security":[{"ApiKeyBasic":[]},{"BearerAuth":[]}]}},"/api/v2/dropdowns/{dropdown_id}":{"get":{"description":"Get a dropdown","operationId":"getDropdown","parameters":[{"in":"path","name":"dropdown_id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Dropdown"}}},"description":"OK","headers":{"x-rate-limit-limit":{"description":"The number of allowed requests in the current rate-limit period","schema":{"type":"integer"}},"x-rate-limit-remaining":{"description":"The number of seconds remaining in the current rate-limit period","schema":{"type":"integer"}},"x-rate-limit-reset":{"description":"The number of seconds remaining in the current rate-limit period","schema":{"type":"integer"}}}},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestError"}}},"description":"Bad Request"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenError"}}},"description":"Forbidden"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundError"}}},"description":"Not Found"}},"summary":"Get a dropdown","tags":["Dropdowns"],"x-cell2cloud-compatibility":{"omittedRequestFields":[],"omittedResponseFields":[],"acceptance":"requires paired source and target verification"},"security":[{"ApiKeyBasic":[]},{"BearerAuth":[]}]}},"/api/v2/registries":{"get":{"description":"List registries","operationId":"listRegistries","parameters":[{"description":"Name of a registry. Restricts results to those with the specified name.","in":"query","name":"name","schema":{"type":"string"}},{"description":"Datetime, in RFC 3339 format. Supports the > and < operators. Time zone defaults to UTC. Restricts results to those modified in the specified range. e.g. > 2017-04-30. Date ranges can be specified with the following nomenclature > YYYY-MM-DD AND <YYYY-MM-DD.\n","examples":{"and-range":{"summary":"Filter for all models modified within a certain range using the AND operator.","value":"> 2022-03-01 AND < 2022-04-01"},"full-rfc-3339-format":{"summary":"Filter for modified models using the full RFC 3339 format","value":"> 2020-12-31T21:07:14-05:00"},"greater-than-example":{"summary":"Filter for all models modified after a certain date","value":"> 2022-03-01"}},"in":"query","name":"modifiedAt","schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RegistriesList"}}},"description":"OK"}},"summary":"List registries","tags":["Registry"],"x-cell2cloud-compatibility":{"omittedRequestFields":[],"omittedResponseFields":[],"acceptance":"requires paired source and target verification"},"security":[{"ApiKeyBasic":[]},{"BearerAuth":[]}]}},"/api/v2/registries/{registry_id}":{"get":{"description":"Get registry","operationId":"getRegistry","parameters":[{"description":"ID for the registry","in":"path","name":"registry_id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Registry"}}},"description":"OK"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundError"}}},"description":"Not Found"}},"summary":"Get registry","tags":["Registry"],"x-cell2cloud-compatibility":{"omittedRequestFields":[],"omittedResponseFields":[],"acceptance":"requires paired source and target verification"},"security":[{"ApiKeyBasic":[]},{"BearerAuth":[]}]}},"/api/v2/projects":{"get":{"description":"List projects","operationId":"listProjects","parameters":[{"in":"query","name":"nextToken","schema":{"type":"string"}},{"in":"query","name":"pageSize","schema":{"default":50,"maximum":100,"minimum":1,"nullable":false,"type":"integer"}},{"description":"Method by which to order search results. Valid sorts are name, modifiedAt, and createdAt. Optionally add :asc or :desc to specify ascending or descending order. Default is modifiedAt.\n","in":"query","name":"sort","schema":{"default":"modifiedAt","enum":["createdAt","createdAt:asc","createdAt:desc","modifiedAt","name","modifiedAt:asc","name:asc","modifiedAt:desc","name:desc"],"nullable":false,"type":"string"}},{"description":"Archive reason. Restricts items to those with the specified archive reason. Use \"NOT_ARCHIVED\" to filter for unarchived projects. Use \"ANY_ARCHIVED\" to filter for archived projects regardless of reason. Use \"ANY_ARCHIVED_OR_NOT_ARCHIVED\" to return items for both archived and unarchived.\n","examples":{"1_not_archived":{"summary":"Only include unarchived items (default).","value":"NOT_ARCHIVED"},"2_archived_reason":{"summary":"Includes items archived for a specific reason.","value":"Retired"},"3_any_archived":{"summary":"Includes items archived for any reason.","value":"ANY_ARCHIVED"},"4_any_archived_or_not_archived":{"summary":"Includes both archived and unarchived items.","value":"ANY_ARCHIVED_OR_NOT_ARCHIVED"}},"in":"query","name":"archiveReason","schema":{"type":"string"}},{"description":"Comma-separated list of ids. Matches all of the provided IDs, or returns a 400 error that includes a list of which IDs are invalid.\n","in":"query","name":"ids","schema":{"example":"src_ZJy8RTbo,src_8GVbVkPj,src_qREJ33rn","type":"string"}},{"description":"Name of a project. Restricts results to those with the specified name.","in":"query","name":"name","schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProjectsPaginatedList"}}},"description":"OK"}},"summary":"List projects","tags":["Projects"],"x-cell2cloud-compatibility":{"omittedRequestFields":[],"omittedResponseFields":[],"acceptance":"requires paired source and target verification"},"security":[{"ApiKeyBasic":[]},{"BearerAuth":[]}]}},"/api/v2/projects/{project_id}":{"get":{"description":"Get a project by ID","operationId":"getProject","parameters":[{"description":"ID of project to get","in":"path","name":"project_id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Project"}}},"description":"OK"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundError"}}},"description":"Not Found"}},"summary":"Get a project by ID","tags":["Projects"],"x-cell2cloud-compatibility":{"omittedRequestFields":[],"omittedResponseFields":[],"acceptance":"requires paired source and target verification"},"security":[{"ApiKeyBasic":[]},{"BearerAuth":[]}]}},"/api/v2/folders":{"get":{"description":"List folders","operationId":"listFolders","parameters":[{"in":"query","name":"nextToken","schema":{"type":"string"}},{"in":"query","name":"pageSize","schema":{"default":50,"maximum":100,"minimum":1,"nullable":false,"type":"integer"}},{"description":"Method by which to order search results. Valid sorts are modifiedAt (modified time, most recent first) and name (folder name, alphabetical). Optionally add :asc or :desc to specify ascending or descending order.\n","in":"query","name":"sort","schema":{"default":"name","enum":["createdAt","createdAt:asc","createdAt:desc","modifiedAt","name","modifiedAt:asc","name:asc","modifiedAt:desc","name:desc"],"nullable":false,"type":"string"}},{"description":"Archive reason. Restricts items to those with the specified archive reason. Use \"NOT_ARCHIVED\" to filter for unarchived folders. Use \"ANY_ARCHIVED\" to filter for archived folders regardless of reason. Use \"ANY_ARCHIVED_OR_NOT_ARCHIVED\" to return items for both archived and unarchived.\n","examples":{"1_not_archived":{"summary":"Only include unarchived items (default).","value":"NOT_ARCHIVED"},"2_archived_reason":{"summary":"Includes items archived for a specific reason.","value":"Retired"},"3_any_archived":{"summary":"Includes items archived for any reason.","value":"ANY_ARCHIVED"},"4_any_archived_or_not_archived":{"summary":"Includes both archived and unarchived items.","value":"ANY_ARCHIVED_OR_NOT_ARCHIVED"}},"in":"query","name":"archiveReason","schema":{"type":"string"}},{"description":"Name substring of a folder. Restricts results to those with names that include the provided substring.\n","in":"query","name":"nameIncludes","schema":{"type":"string"}},{"description":"ID of a folder. Restricts results to those in the folder. Use \"NO_PARENT\" to filter for root folders.","in":"query","name":"parentFolderId","schema":{"type":"string"}},{"description":"ID of a project. Restricts results to those in the project.","in":"query","name":"projectId","schema":{"type":"string"}},{"description":"Comma-separated list of ids. Matches all of the provided IDs, or returns a 400 error that includes a list of which IDs are invalid.\n","in":"query","name":"ids","schema":{"example":"lib_qQFY3WQH,lib_QvXryHdi,lib_3eF8mZjn","type":"string"}},{"description":"Name of a folder. Restricts results to those with the specified name.","in":"query","name":"name","schema":{"type":"string"}},{"deprecated":true,"description":"Deprecated - Folder types have been merged, however this will restrict to the pre-merge types.\n","in":"query","name":"section","schema":{"enum":["INVENTORY","NOTEBOOK"],"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FoldersPaginatedList"}}},"description":"OK"}},"summary":"List folders","tags":["Folders"],"x-cell2cloud-compatibility":{"omittedRequestFields":[],"omittedResponseFields":[],"acceptance":"requires paired source and target verification"},"security":[{"ApiKeyBasic":[]},{"BearerAuth":[]}]}},"/api/v2/folders/{folder_id}":{"get":{"description":"Get a folder by ID","operationId":"getFolder","parameters":[{"description":"ID of folder to get","in":"path","name":"folder_id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Folder"}}},"description":"OK"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundError"}}},"description":"Not Found"}},"summary":"Get a folder by ID","tags":["Folders"],"x-cell2cloud-compatibility":{"omittedRequestFields":[],"omittedResponseFields":[],"acceptance":"requires paired source and target verification"},"security":[{"ApiKeyBasic":[]},{"BearerAuth":[]}]}},"/api/v2/custom-entities:bulk-create":{"post":{"description":"Bulk Create custom entities. Limit of 2500 custom entities per request.","operationId":"bulkCreateCustomEntities","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomEntitiesBulkCreateRequest"}}}},"responses":{"202":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AsyncTaskLink"}}},"description":"This endpoint launches a [long-running task](#/Tasks/getTask) and returns the Task ID of the launched task.\nThe task response contains the full list of custom entities that were created.\n"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestError"}}},"description":"Bad Request"}},"summary":"Bulk Create custom entities","tags":["Custom Entities"],"x-cell2cloud-compatibility":{"omittedRequestFields":[],"omittedResponseFields":[],"acceptance":"requires paired source and target verification"},"security":[{"ApiKeyBasic":[]},{"BearerAuth":[]}]}},"/api/v2/custom-entities:bulk-update":{"post":{"description":"Bulk Update custom entities","operationId":"bulkUpdateCustomEntities","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomEntitiesBulkUpdateRequest"}}}},"responses":{"202":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AsyncTaskLink"}}},"description":"This endpoint launches a [long-running task](#/Tasks/getTask) and returns the Task ID of the launched task.\nThe task response contains the full list of custom entities that were updated.\n"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestError"}}},"description":"Bad Request"}},"summary":"Bulk Update custom entities","tags":["Custom Entities"],"x-cell2cloud-compatibility":{"omittedRequestFields":[],"omittedResponseFields":[],"acceptance":"requires paired source and target verification"},"security":[{"ApiKeyBasic":[]},{"BearerAuth":[]}]}},"/api/v2/custom-entities:archive":{"post":{"description":"Archive custom entities","operationId":"archiveCustomEntities","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomEntitiesArchive"}}}},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomEntitiesArchivalChange"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestError"}}},"description":"Bad Request"}},"summary":"Archive custom entities","tags":["Custom Entities"],"x-cell2cloud-compatibility":{"omittedRequestFields":[],"omittedResponseFields":[],"acceptance":"requires paired source and target verification"},"security":[{"ApiKeyBasic":[]},{"BearerAuth":[]}]}},"/api/v2/custom-entities:unarchive":{"post":{"description":"Unarchive custom entities","operationId":"unarchiveCustomEntities","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomEntitiesUnarchive"}}}},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomEntitiesArchivalChange"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestError"}}},"description":"Bad Request"}},"summary":"Unarchive custom entities","tags":["Custom Entities"],"x-cell2cloud-compatibility":{"omittedRequestFields":[],"omittedResponseFields":[],"acceptance":"requires paired source and target verification"},"security":[{"ApiKeyBasic":[]},{"BearerAuth":[]}]}},"/api/v2/dna-sequences:bulk-create":{"post":{"description":"Bulk Create DNA sequences. Limit of 1000 DNA Sequences per request.\n\nCell2Cloud limitations: Unavailable response fields: primers.color.","operationId":"bulkCreateDNASequences","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DnaSequencesBulkCreateRequest"}}}},"responses":{"202":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AsyncTaskLink"}}},"description":"This endpoint launches a [long-running task](#/Tasks/getTask) and returns the Task ID of the launched task.\nWhen successful, the task returns a full list of [DNA Sequence](#/DNA%20Sequences/getDNASequence) resources that were created.\n"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestError"}}},"description":"Bad Request"}},"summary":"Bulk Create DNA sequences","tags":["DNA Sequences"],"x-cell2cloud-compatibility":{"omittedRequestFields":[],"omittedResponseFields":["primers.color"],"acceptance":"requires paired source and target verification"},"security":[{"ApiKeyBasic":[]},{"BearerAuth":[]}]}},"/api/v2/dna-seq
[...]
